31 Replies Latest reply on Feb 28, 2011 7:42 AM by judicus

    Pb with the upgrade 9.4.2 acrobat reader

    denisfr29

      hello,

      i have a problem the upgrade 9.4.2. This is not the first time a upgrade. I would like to create a package 9.4.2 from my enterprise.

      i download from http://www.adobe.com/support/downloads/new.jsp the file

      Adobe Reader 9.4.2 update - multiple languages10.6MB

      2/8/2011

       

      I use the install of 9.4.1 reader (that a i previously download from adobe).

      I execute (but not install) this installation. now i have in my tempory directory (document settings\my name\local settings\adobe\9.4) some files that i copy for sample in directory c:\adobe. After that

      I execute this file like that :

      msiexec.exe /a AcroReader.msi

      Installation ask me to put the file that i decide (sample c:\adobe).

      After that, i copy the file (9.4.2) AdbeRdrUpd942_all_incr.msp in tthe adobe directory.

       

      Now i compile the installation :

      msiexec /a AcroReader.msi /p AdbeRdrUpd942_all_incr.msp

       

      That give me a new installation with the package 9.4.2.

       

      I do this for all the previous installatin of acrobat reader (9.1,etc...) and it's always work.

       

      I have this error :

      "The file 'Adobe.Reader.Dependencies.manifest'  cannot be installed because the file cannot be found in cabinet file' Data1.cab'. This could indicate a network error, etc....

       

       

      so, it doesn't work.

      Can someone help me ?

      Thank

      Frederic DENIS

        • 1. Re: Pb with the upgrade 9.4.2 acrobat reader
          xxpluckyxx

          I have experienced the same problem with the 9.4.2 patch for Acrobat Reader.

          I am attempting to upgrade from 9.4 -> 9.4.2 (a supported upgrade route).

          Same results attempting 9.4 -> 9.4.1 -> 9.4.2.

           

          Error Event Properties:

          Event ID: 11334

          Product: Adobe Reader 9.4.2 -- Error 1334.The file 'Adobe.Reader.Dependencies.manifest' cannot be installed because the file cannot be found in cabinet file 'Data1.cab'. This could indicate a network error, an error reading from the CD-ROM, or a problem with this package.

          • 2. Re: Pb with the upgrade 9.4.2 acrobat reader
            judicus

            Here is something I picked up from a different program fix with MSI and MSP updates...

             

            Step 1:

            command prompt-> msiexec.exe /a [insert your latest reader MSI filename here]

            Go through the procedure like you are installing it, when it asks you for a 'network directory' to install to, select a temp directory that is NOT the currently location of your MSI file.  This will create an administrative install in the temp directory as well as create a new msi file.

             

            Look in the admin install directory for the msi filename.

             

            Step 2:

            Command Prompt-> msiexec.exe /a [Insert temp directory path, and name of new MSI file] /p xxx.msp

             

             

            Rinse, and repeat

             

            Example: (I started with the 940 msi file and updated with 941 and 942)

            Starting with files I copied to c:\temp, and using a command prompt starting in the c:\temp directory

             

            msiexec.exe /a adoberead940.msi (input c:\temp\reader as path to install to)

            msiexec.exe /a "c:\temp\reader\adberdr940_en_US.msi" /p AdbeRdrUpd941_all_incr.msp

            msiexec.exe /a "c:\temp\reader\adberdr940_en_US.msi" /p AdbeRdrUpd942_all_incr.msp

             

            Be sure to put the new msi file that was created from the first admin install in the update pathing, not the original msi file.

             

            It was explained to me, that this is neccessary due to New files in an update that aren't in the original msi.

             

            NOTE: This method isn't perfect.  It doesn't repack the new MSI unfortunately.  You can however use the folders that were unpacked and copy them to the distribution point you use and the MSI file will use those files to install the program.

             

             

            10:24: I am researching another method, extracting msi out of the executeable and seeing if I can update that setup without having to deal with folders.

            • 3. Re: Pb with the upgrade 9.4.2 acrobat reader
              xxpluckyxx Level 1

              The method you describe is very close to what I do (and have done) for many versions successfully now.  I have encountered a similar error once, and the patch was rereleased shortly thereafter.

               

              The differences in our methods:

               

              1) The file I download is an .exe from the Enterprise Distribution page.

              2) I extract all approrpiate files using the command (as given by Adobe): "%UserProfile%\Desktop\AdbeRdr9x_en_US.exe" -nos_ne

              3) This gives the install point to patch, as you documented.

               

               

              Also interesting to note, another indication there is an issue, is when careating the GPO, in the 'Packages that this package will upgrade', 9.4 does not appear in the list.

              • 4. Re: Pb with the upgrade 9.4.2 acrobat reader
                judicus Level 1

                The Extracted Folders from the Administrative Install appear to be the only way to use the updated msi at the moment for me.

                 

                For strict purists, waiting for an adjusted msi file from adobe is probly the way to do it, but this is a workaround in the meantime.

                • 5. Re: Pb with the upgrade 9.4.2 acrobat reader
                  judicus Level 1

                  I have worked with the .exe on adobe reader (extracting the msi/data1.cab files), but they do also provide the .msi, which I apply the msp patch to directly.  I prefer the MSI file, but the other works just as good(normally)

                  • 6. Re: Pb with the upgrade 9.4.2 acrobat reader
                    xxpluckyxx Level 1

                    Where is the msi available from?

                    The issue for us may be a transform that was generated for an earlier version, and has worked through 9.4, but may not work with 9.4.2.

                    I'll have to look into that further.

                    • 7. Re: Pb with the upgrade 9.4.2 acrobat reader
                      judicus Level 1

                      ftp://ftp.adobe.com/pub/adobe/reader

                      You can get a copy from that site. 

                      Theres a webpage where you can download either version, its buried after the 'distribution agreement', I misplaced that link.

                      • 8. Re: Pb with the upgrade 9.4.2 acrobat reader
                        johnbales3795

                        I am having the exact same issue trying to mass deploy 9.4.2 this morning.  I have done this mulltiple times in the past and very familiar

                        with slipstreaming the update into the msi.

                         

                        Im getting the Adobe. Reader.Dependencies.manifest when installing from the slipstreamed package.

                         

                        Is there any insight on this?  Did we download a bad msp from the Download site this morning?

                         

                        Please advise as we would like to get this patched up ASAP.

                        • 9. Re: Pb with the upgrade 9.4.2 acrobat reader
                          judicus Level 1

                          Edit: thought my last message didn't go through...

                          • 10. Re: Pb with the upgrade 9.4.2 acrobat reader
                            bhf_dschmidt

                            Same error here for the record:

                            "Error 1334.The file Adobe.Reader.Dependencies.manifest cannot be installed because the file cannot be found in cabinet file 'Data 1.cab’."

                             

                            9.4.1 administrative install point patched to 9.4.2 with the .msp.

                            Windows 7 Enterprise x64 client.

                            • 11. Re: Pb with the upgrade 9.4.2 acrobat reader
                              dook66

                              I downloaded 9.4.2, and now have trouble viewing a PDF.  Should I delete 9.4.2 and just go back to what I had before?

                              • 12. Re: Pb with the upgrade 9.4.2 acrobat reader
                                vsh07 Level 2

                                @all

                                 

                                I was performing a similar kind of action and creation/installation via AIP went through fine for me.I need to know few things before suggesting anything:

                                1.You got this error message during creation of AIP (i.e applying 9.4.2 patch over 9.4.0 AIP) or during installation using 9.4.2 AIP?

                                2.What is your OS and its language?

                                3.Do you have previous version of Acrobat/reader already installed on system on which you are creating AIP?

                                4.You are creating AIP(or applying patch) on your local system or on a network?

                                5.What path are you following?

                                9.4.0->9.4.1->9.4.2

                                or

                                9.4.0->9.4.2

                                • 13. Re: Pb with the upgrade 9.4.2 acrobat reader
                                  denisfr29 Level 1

                                  hello,

                                  the error is after a create the installation with 9.4.2.msp

                                  I start installation and during this , i have the error.

                                  I try on xp 32bits and seven x64.

                                   

                                  The file is create on local.

                                  And do this many times and this is the first time i have this problem.

                                  • 14. Re: Pb with the upgrade 9.4.2 acrobat reader
                                    denisfr29 Level 1

                                    hello,

                                    the error is after a create the installation with 9.4.2.msp

                                    I start installation and during this , i have the error.

                                    I try on xp 32bits and seven x64.

                                     

                                    The file is create on local.

                                    And do this many times and this is the first time i have this problem.

                                    • 15. Re: Pb with the upgrade 9.4.2 acrobat reader
                                      vsh07 Level 2

                                      But it goes through smoothly for me.Have you tried recreating 9.4.0 AIP

                                       

                                      PFB steps I followed. Please see if they work for you. Before proceeding, delete previous AIP  you have created for Reader 9.4.2.

                                      1.Copy Reader 9.4.0 msi to your local machine.

                                      Path: ftp://ftp.adobe.com/pub/adobe/reader/win/9.x/9.4.0/en_US/AdbeRdr940_en_US.msi

                                       

                                      Or if customization is required, download exe from the following location :

                                      ftp://ftp.adobe.com/pub/adobe/reader/win/9.x/9.4.0/en_US/AdbeRdr940_en_US.exe

                                      and extract it using following command:

                                      <path to>\AdbeRdr90_en_US.exe -nos_o"Reader9" -nos_ne

                                       

                                      2.

                                      Create 9.4.0 AIP using this msi by the following command:

                                      msiexec /a <path of 9.4.0 msi you downloaded in step 1>

                                       

                                      3.When asked for a Network Location, give path of some Local folder .eg C:\Adobe and click on install.

                                      Now your 9.4.0 AIP is ready and is present in C:\Adobe.

                                       

                                      4.Copy Reader 9.4.2 patch to your machine from the following location:

                                      ftp://ftp.adobe.com/pub/adobe/reader/win/9.x/9.4.2/misc/AdbeRdrUpd942_all_incr.msp

                                       

                                      5.Now change your working directory to local eg“C:\Adobe” and apply 9.4.2 patch over it by the following command.

                                      msiexec /a AdbeRdr940_en_US.msi /p <path of 9.4.2 msp>

                                      or

                                      (if you extracted msi from exe)

                                      msiexec /a AcroRead /p <path of 9.4.2 msp>

                                       

                                      5.Use AIP created in step 5 for installing 9.4.2 reader on your machine.

                                      • 16. Re: Pb with the upgrade 9.4.2 acrobat reader
                                        denisfr29 Level 1

                                        Thank you but it does'nt work too

                                        • 17. Re: Pb with the upgrade 9.4.2 acrobat reader
                                          vsh07 Level 2

                                          Are you using a customized (or tuned) 9.4.0 AIP?

                                          If yes, please make 9.4.0 AIP without CUSTOMIZING it. Patch it to 9.4.2 on a local machine and then copy it to a network share.

                                          You can customize 9.4.2 AIP afterwards(on network share)

                                          • 18. Re: Pb with the upgrade 9.4.2 acrobat reader
                                            denisfr29 Level 1

                                            hello,

                                            thank you for your response.

                                            I do exactly that you write up.

                                            • 19. Re: Pb with the upgrade 9.4.2 acrobat reader
                                              vsh07 Level 2

                                              ....and does that work?

                                              Please also check and confirm that ....in your 9.4.2 AIP .... Adobe.Reader.Dependencies.manifest is present @ following location:

                                              <path of AIP folder>\program files\Adobe\Reader 9.0\Reader

                                              • 20. Re: Pb with the upgrade 9.4.2 acrobat reader
                                                denisfr29 Level 1

                                                Thank you.

                                                No it doesn(t work . Because i cannot finish installation : Adobe.Reader.Dependencies.manifest

                                                 

                                                9.4.0 -> 9.4.1  : OK

                                                9.4.0 -> 9.4.2 : Not OK

                                                9.4.1 -> 9.4.2 : Not OK

                                                 

                                                I try all and it doesn't work.

                                                • 21. Re: Pb with the upgrade 9.4.2 acrobat reader
                                                  vsh07 Level 2

                                                  I stumbled upon same error due to a mistake I did (once) while creating AIP. Please cross check if you are not making the same  mistake.

                                                  1.Suppose you extracted exe to folder A

                                                  2.Create AIP in folder B.

                                                  3.Change your working directory to folder B

                                                  4.Apply 9.4.2 patch over AIP in folder B (NOT A)

                                                  5.Use AIP created in step 4.

                                                  I once applied patch without changing my working directory(i.e. missed step 3) and 9.4.2 patch was applied over my msi in Folder A.So I got this error. But when I made correct AIP, everything went on smoothly. Please confirm

                                                   

                                                  AIP.JPG

                                                  • 22. Re: Pb with the upgrade 9.4.2 acrobat reader
                                                    denisfr29 Level 1

                                                    Thanks,

                                                    I confirm, this is exactly the error i have with the procedure you give me .

                                                    .

                                                    • 23. Re: Pb with the upgrade 9.4.2 acrobat reader
                                                      judicus Level 1

                                                      The Error In question comes about in the

                                                      following way...

                                                       

                                                      Apply Patch directly to the MSI installer.

                                                      I go from 9.4.0 -> 9.4.1 -> 9.4.2

                                                      I recieve the Files cannot be found in DATA1.cab error message

                                                       

                                                      I can confirm what others have said, going from 9.4.0 -> 9.4.1 applied to the MSI, works fine on installing.

                                                       

                                                      To do the 'Workaround' as I described earlier in this thread:

                                                       

                                                      I do an Administrative Install (Both the MSI distributeable and EXE installer) from Directory A to a Directory B,

                                                      Then Apply the patches, Directory B 9.4.0->9.4.1->9.4.2

                                                      It will Install without error using the MSI installer from Directory B, WITH THE FOLLOWING CAVEAT.

                                                      The MSI is not repackaged, and requires the Folders that were created in the AIP to be present in the same directory as the installer.

                                                       

                                                      Note:

                                                      I had an error simular to this in a different program I was doing msp patching to the original msi installer.  The explanation I recieved was to do an administrative install as described in the workaround.  The reason being, there were new files present in the msp that were not present in the original msi.  not sure if that helps or not.

                                                      • 24. Re: Pb with the upgrade 9.4.2 acrobat reader
                                                        vsh07 Level 2

                                                        Also, I did some analysis of your post.Please find my comments in between.

                                                         

                                                        I use the install of 9.4.1 reader (that a i previously download from adobe).

                                                        vsh07:(You need 9.4.0 msi here not 9.4.1)

                                                         

                                                        I execute (but not install) this installation. now i have in my tempory directory (document settings\my name\local settings\adobe\9.4) some files that i copy for sample in directory c:\adobe. After that

                                                        vsh07:(I understand that you have msi (extracted) in c:\adobe now

                                                         

                                                        I execute this file like that :

                                                        msiexec.exe /a AcroReader.msi

                                                        Installation ask me to put the file that i decide (sample c:\adobe).

                                                        vsh07:(Please change it to some other folder...say c:\adobeAIP)

                                                        Vsh07:Now change your working directory to c:\adobeAIP

                                                         

                                                        After that, i copy the file (9.4.2) AdbeRdrUpd942_all_incr.msp in tthe adobe directory.

                                                        vsh07:it should be adobeAIP directory

                                                         

                                                        Now i compile the installation :

                                                        msiexec /a AcroReader.msi /p AdbeRdrUpd942_all_incr.msp

                                                         

                                                        That give me a new installation with the package 9.4.2.

                                                         

                                                        I do this for all the previous installatin of acrobat reader (9.1,etc...) and it's always work.

                                                        vsh07:I tried what you did earlier and it could have worked for 9.4.1(infact it does ) but is not the correct way.

                                                         

                                                         

                                                        I have this error :

                                                        "The file 'Adobe.Reader.Dependencies.manifest'  cannot be installed because the file cannot be found in cabinet file' Data1.cab'. This could indicate a network error, etc....

                                                         

                                                        vsh07:Please check if this correction works

                                                        (Please do not use 9.4.1 installer while creating AIP).

                                                        • 25. Re: Pb with the upgrade 9.4.2 acrobat reader
                                                          vsh07 Level 2

                                                          Steps to perform administrative installation(to avoid any confusion)

                                                          1. Copy the Reader 9.4 msi installer to your machine.

                                                          2. Create a distribution point (a folder where the installer can install the uncompressed program files).

                                                          3. Click Start, click Run, and then enter the following command:

                                                          msiexec /a <path of Reader9.4.msi>

                                                          4. When you receive a prompt asking where to install the files, browse to the distribution point you created in step 2.

                                                          5. Click OK. When the installer finishes, all files will be at the distribution point.

                                                          Also Reader940 msi is also present at the distribution point.(This msi is used in step 7 below)

                                                          To add patches to the administrative installation:

                                                          6. Copy the Reader 9.4.2 msp patch on your machine.

                                                          7. Click Start, then click Run, and then type CMD.

                                                          At the command prompt, type the following:

                                                          msiexec /a <path of msi at distribution point> /p <path of Reader 9.4.2 msp>

                                                          After installation is successfull you can copy this folder (distribution point) to any server and deploy it

                                                          OR

                                                          manually also you can install Reader 9.4.2 by running the msi at the distribution point.

                                                          • 26. Re: Pb with the upgrade 9.4.2 acrobat reader
                                                            denisfr29 Level 1

                                                            OK, It's working now. What i do :

                                                            1 - Copy the file .exe from the web to in c:\Adobe_file

                                                            Capture1.PNG

                                                            2- I execute the file but not install. In my local settings\adobe\9.4, i have :

                                                            Capture2.PNG

                                                             

                                                            3- I copy all files in new directory , i called : c:\adobe_after_extract

                                                             

                                                            Capture3.PNG

                                                            I clic on cancel on the installation (the temporary file in my local settings is delete).

                                                            4-  I execute msiexec

                                                             

                                                            Capture4.PNG

                                                            5-

                                                            And give the directory c:\adobeAIP

                                                            Capture5.PNG

                                                             

                                                            6- Now in AdobeAIP directory, i have :

                                                            Capture6.PNG

                                                             

                                                             

                                                            7-

                                                            I copy the file 9.42.msp in this directory

                                                             

                                                            Capture7.PNG

                                                             

                                                            8-

                                                            And I execute msiexec :

                                                             

                                                            Capture9.PNG

                                                             

                                                            9-

                                                            The File AcroRead.msi change time.

                                                            Now I have in the directory this :

                                                             

                                                            Capture10.PNG

                                                             

                                                            10-

                                                             

                                                            I just execute AcroRead.msi

                                                            and its' work ....

                                                             

                                                             

                                                             

                                                             

                                                             

                                                            Thank you vsh07

                                                             

                                                            Frederic DENIS

                                                             

                                                            • 27. Re: Pb with the upgrade 9.4.2 acrobat reader
                                                              judicus Level 1

                                                              Didn't I explain this method earlier in this thread, one of the first posts, that the Administrative Install works?

                                                               

                                                              I think the issue here is that, at least I need/want, is the original MSI (40MB size installer) to be .msp updateable.

                                                              If you have to use the folders from the AIP, thats clunky.  It works, but...I would rather have a single MSI than 4 folders of data, and a msi file installer...

                                                              • 28. Re: Pb with the upgrade 9.4.2 acrobat reader
                                                                denisfr29 Level 1

                                                                I use GPO to do the installation. I copy all files in my package directory and it's work . i do this on 120 computers (XP , SEven and vista)

                                                                • 29. Re: Pb with the upgrade 9.4.2 acrobat reader
                                                                  bhf_dschmidt Level 1

                                                                  Thank you, re-creating the AIP from 9.4.0 directly to 9.4.2 worked.

                                                                  I did have to make a second copy of AdbeRdr940_en_US.msi in the AIP, renamed to acroread.msi, to eliminate the "installation source could not be found" error.  I suspect a direct rename instead of a copy would have worked as well.

                                                                  • 30. Re: Pb with the upgrade 9.4.2 acrobat reader
                                                                    vsh07 Level 2

                                                                    Thank you all for confirming that AIP is working for you now.Just to make things a bit more clear,applying 9.4.2 patch over 9.4.1 AIP is not a supported work flow(as also suggested by judicus in this post).Please read the following ducument for more details:

                                                                    http://kb2.adobe.com/cps/498/cpsid_49880.html

                                                                    • Version 9 current recommended AIP configuration

                                                                      Acrobat

                                                                      9.0.0 > 9.1.0 > 9.1.2 > 9.2.0 > 9.3.0 > 9.3.2 > 9.3.3 > 9.4.0 > 9.4.2

                                                                      Adobe Reader
                                                                      • 9.4.2 AIP: 9.4.0 > 9.4.2
                                                                      • 9.4.1 AIP: 9.4.0 > 9.4.1
                                                                      • 9.4.0 AIP: 9.4.0 (Adobe Reader 9.4.0 is a full installer. Create Adobe Reader 9.4.0 AIP from Adobe Reader 9.4.0 msi installer.)
                                                                      • 9.3.4 AIP: 9.3.0 > 9.3.2 > 9.3.3 > 9.3.4
                                                                      • 9.3.3 AIP: 9.3.0 > 9.3.2 > 9.3.3
                                                                      • 9.3.0 AIP: 9.3.0 (Adobe Reader 9.3.0 is a full installer. Create Adobe Reader 9.3.0 AIP from Adobe Reader 9.3.0 msi installer.)
                                                                    • 31. Re: Pb with the upgrade 9.4.2 acrobat reader
                                                                      judicus Level 1

                                                                      I have a question regarding the issuing of a new MSI from Adobe.

                                                                       

                                                                      The MSP applying to MSI updating isn't working due to a new file introduced into the msp that does not reside in the MSI...namely the file that is causing the problems that Adobe Acrobat users are experiencing (printing etc), this file is the Adobe.Acrobat.Dependencies.manifest file.  You will note that the file that is missing from the data1.cab error message states that the .manifest file is missing.

                                                                       

                                                                      I am wondering if Adobe has any plans to update the MSI or the EXE installer to account for this, and publish it, instead of having to use the workaround?